//varyingϐ
varying vec4 vertexPos;
uniform sampler2D tex0;
uniform sampler2D depthTex;
float imgW = 960.0;
float imgH = 540.0;
float dx = 1.0/imgW;
float dy = 1.0/imgH;
uniform int size;
uniform float weight0;
uniform float pintCenter;
uniform float pintMax;
int s0 = (size-1) / 2;

//tOg
void main(void)
{
	int i, j, m, n;
	float weight;
	vec2 offset;
	vec3 col = vec3(0.0);
	float sum = 0.0;
	float pintDist = abs(pintCenter - texture2D(depthTex, gl_TexCoord[0].st + offset).r);
	float pintWeight;
	if(pintDist > pintMax) {
		pintWeight = 1.0;
	} else {
		pintWeight = pintDist/pintMax;
		pintWeight *= pintWeight;
	}
	for(j = 0; j < size; j++) {
		n = -s0 + j;
		for(i = 0; i < size; i++) {
			m = -s0 + i;
			offset = vec2(float(m) * dx, float(n) * dy);
			weight = exp(-float(m*m + n*n) / (2.0 * weight0 * weight0));
			sum += weight;
			col += texture2D(tex0, gl_TexCoord[0].st + offset).rgb * weight * pintWeight;
		}
	}
	col /= sum;
	
	gl_FragColor = vec4(col, 1.0);
}
